
; ##############################################################################
; ##############################################################################
; ##############################################################################

ANZEIGE_HAUPTMENUE:

; LCD_SONDERZEICHEN_PROGRAMMIEREN_1	
	;rcall LCD_SONDERZEICHEN_PROGRAMMIEREN_1		; BALKEN BETRIEBSSPANNUNG			
; LCD_SONDERZEICHEN_PROGRAMMIEREN_2	
	rcall LCD_SONDERZEICHEN_PROGRAMMIEREN_2		; BALKEN ANZ SATELLITEN gesamt		
; LCD_SONDERZEICHEN_PROGRAMMIEREN_3	
	rcall LCD_SONDERZEICHEN_PROGRAMMIEREN_3		; BALKEN ANZ SATELLITEN emfangen	
; LCD_SONDERZEICHEN_PROGRAMMIEREN_6
	rcall LCD_SONDERZEICHEN_PROGRAMMIEREN_6		; BALKEN PEGEL						

; LCD GOHOME						
	rcall LCD_GO_HOME


; KURS				
;	rcall LCD_SPACE	
;	rcall LCD_SPACE	
;	rcall LCD_SPACE	
;	rcall LCD_SPACE	
;	rcall LCD_SPACE	
;	rcall LCD_SPACE	
;	rcall LCD_SPACE	
;	rcall LCD_SPACE	

	rcall FUNKTION_TEMP1_9_CLEAR 			; OUT: TEMP1...9 (alle 0)				
	LDS temp1,(adr_GPS_KURS_L)
	LDS temp2,(adr_GPS_KURS_H)
	
	ldi temp2,0
	ldi temp3,0
	
	cp temp3, temp1
	cpc temp4, temp2
	brlo wert1

	ldi temp, 'J'
	rcall LCD_DATA
	rjmp weiter

wert1:
	ldi temp, 'K'
	rcall LCD_DATA

weiter:

rcall LCD_SPACE
rcall LCD_SPACE
rcall LCD_SPACE
rcall LCD_SPACE
rcall LCD_SPACE
rcall LCD_SPACE
rcall LCD_SPACE

	
	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_AUSGABE_ZAHL_3_STELLEN_KURZ
	ldi temp,0				; SYMBOL ""			
	rcall LCD_DATA
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	
; A/V ZUSTAND						
	LDS  temp, (adr_BETRIEBSSTUNDEN_ss)	; aus SRAM laden
	andi temp, 0b00000001
	tst  temp
	brne ANZEIGE_HAUPTMENUE_A_V
	ldi temp, ' '				; SPACE	
	rjmp ANZEIGE_HAUPTMENUE_A_V_w
ANZEIGE_HAUPTMENUE_A_V:
	ldi temp, 'V'
	LDS temp1,(adr_GPS_AKTIV)				; aus SRAM holen	
	tst temp1
	breq ANZEIGE_HAUPTMENUE_A_V_w
	ldi temp, 'A'
ANZEIGE_HAUPTMENUE_A_V_w:
	rcall LCD_DATA



;	LDS temp,(adr_GPS_AKTIV)				; aus SRAM holen	
;	rcall LCD_DATA							; DATENBYTE an LCD inp: temp 
	;rcall LCD_SPACE	

	rcall LCD_ZEILE2

	rcall REFERENZ_NAME


	rcall LCD_ZEILE3
	
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE

	rcall ANZEIGE_TEXT_DIST

	rcall LCD_SPACE
	

; ENTFERNUNG						
	rcall FUNKTION_TEMP1_9_CLEAR 			; OUT: TEMP1...9 (alle 0)				
	LDS temp1,(adr_GPS_ENTFERNUNG_BYTE_1)	; aus SRAM laden
	LDS temp2,(adr_GPS_ENTFERNUNG_BYTE_2)	; aus SRAM laden
	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_FORMAT						; INPUT: TEMP1...TEMP9			 	
	rcall LCD_AUSGABE_ZAHL_6_STELLEN_KURZ	; INP: TEMP1...6				  

; MASSEINHEIT Entfernung m/km	
	ldi temp1,'m'
	ldi temp2,' '
	LDS temp,(adr_GPS_ENTFERNUNG_in_km)	; aus SRAM laden
	tst temp
	breq ANZEIGE_HAUPTMENUE_EINHEIT_ENTFERNUNG
	ldi temp1,'k'
	ldi temp2,'m'
ANZEIGE_HAUPTMENUE_EINHEIT_ENTFERNUNG:
	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA

	rcall LCD_ZEILE4


; GESCHWINDIGKEIT			
	rcall ANZEIGE_GESCHWINDIGKEIT_KURZ
	
	LDS temp, (adr_UNIT)
	cpi temp,0
	brne weiter112

	ldi temp1,'k'
	ldi temp2,'m'

	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA
	
	rjmp weiter22

weiter112:
	
	ldi temp1,'k'
	ldi temp2,'n'

	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA
	
weiter22:
	
	
	rcall LCD_SPACE	
	rcall LCD_SPACE	
	rcall LCD_SPACE	

	
; HHE
	rcall ANZEIGE_ALT	
	
;	rcall LCD_SPACE							; SPACE	
	rcall LCD_SPACE


	rcall ANZEIGE_HOEHE_BERECHNET_KURZ

ret

; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_REFERENZ_GELADEN_INFO_NAME:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME

	ldi ZH, high(TEXT_AKTIVE_REFERENZ*2)	; TEXT "aktive Referenz"
	ldi ZL, low (TEXT_AKTIVE_REFERENZ*2)
	rcall ANZEIGE_TEXT
	
	rcall LCD_ZEILE3
	mov temp, REFERENZ_NUMMER			; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_REFERENZ_POSITIONEN_SPEICHERN:
;	rcall LCD_CLEAR
rcall LCD_GO_HOME
	ldi ZH, high(TEXT_REF_POSITIONEN*2)	; TEXT 
	ldi ZL, low (TEXT_REF_POSITIONEN*2)
	rcall ANZEIGE_TEXT

	rcall LCD_ZEILE3
		
	ldi ZH, high(TEXT_SPEICHERN*2)	; TEXT 
	ldi ZL, low (TEXT_SPEICHERN*2)
	rcall ANZEIGE_TEXT

	;rcall LCD_3_PUNKT				; ...

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEXT_EDIT:
	;rcall LCD_CLEAR
rcall LCD_GO_HOME
	ldi ZH, high(TEXT_EDIT*2)	; TEXT 
	ldi ZL, low (TEXT_EDIT*2)
	rcall ANZEIGE_TEXT

	;rcall LCD_3_PUNKT			; ...
ret

; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WAIT:
	rcall LCD_CLEAR
	rcall LCD_ZEILE2
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE

	ldi ZH, high(TEXT_WAIT*2)	; TEXT 
	ldi ZL,  low(TEXT_WAIT*2)
	rcall ANZEIGE_TEXT
	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEXT_ERROR:
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_ERROR*2)			; ERROR
	ldi ZL, low (TEXT_ERROR*2)
	rcall ANZEIGE_TEXT
ret



ANZEIGE_HOEHE_BERECHNET_KURZ:
	rcall FUNKTION_TEMP1_9_CLEAR 			; OUT: TEMP1...9 (alle 0)				
	LDS temp1,(adr_GPS_HOEHE_BERECHNET_L)
	LDS temp2,(adr_GPS_HOEHE_BERECHNET_H)
	; ZAHL negativ ?		
	tst temp2
	brpl ANZEIGE_HOEHE_BERECHNET_KURZ_POSITIV
	; ZAHL ist negativ		
	ldi temp, '-'	
	rcall LCD_DATA
	com temp1
	com temp2
	ldi temp3,1
	clr temp4
	add temp1,temp3
	adc temp2,temp4
	clr temp3
	clr temp4
	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_AUSGABE_ZAHL_4_STELLEN_KURZ
	ldi temp, 'm'
	rcall LCD_DATA
	ret
	; ZAHL ist positiv		
ANZEIGE_HOEHE_BERECHNET_KURZ_POSITIV:
	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	;rcall LCD_FORMAT						; INPUT: TEMP1...TEMP9			 	
	rcall LCD_AUSGABE_ZAHL_5_STELLEN_KURZ	; INP: TEMP1...5				  
	ldi temp, 'm'
	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ALLE_PEGEL:
	rcall LCD_GO_HOME
	;rcall LCD_CLEAR
	; initialisieren ZEIGER
	ldi XL,low (adr_GPS_PEGEL_1_1)
	ldi XH,high(adr_GPS_PEGEL_1_1)

	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_1_1
	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_1_2
	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_1_3
	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_1_4

 	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_2_1
	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_2_2

	rcall LCD_ZEILE2

	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_2_3
	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_2_4

	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_3_1
	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_3_2
	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_3_3
	rcall ANZEIGE_ALLE_PEGEL_KURZ ; PEGEL_3_4

ret

ANZEIGE_ALLE_PEGEL_KURZ:
	rcall FUNKTION_TEMP1_9_CLEAR 				; OUT: TEMP1...9 (alle 0)				
	LD temp1, X+								; laden und X+1		
	rcall FUNKTION_HEX_ASC_32					; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_FORMAT							; INPUT: TEMP1...TEMP9			 	
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ		; INP: TEMP1...6				  
	rcall LCD_PUNKT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEXT_XY:
	
	ldi ZH, high(TEXT_XY*2)	; TEXT "aktive Referenz"
	ldi ZL, low (TEXT_XY*2)
	rcall ANZEIGE_TEXT

ret

ANZEIGE_X_Y_DIFFERENZ:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME
	rcall ANZEIGE_TEXT_XY

	rcall LCD_ZEILE3
	
	ldi temp, 'X'				; X
	rcall LCD_DATA
	ldi temp, ':'				; X
	rcall LCD_DATA
	rcall LCD_SPACE

	rcall FUNKTION_TEMP1_9_CLEAR 				; OUT: TEMP1...9 (alle 0)				
	LDS temp1,(adr_X_LAENGE_DIFFERENZ_BYTE1)	; aus SRAM laden	
	LDS temp2,(adr_X_LAENGE_DIFFERENZ_BYTE2)	; aus SRAM laden	
	rcall FUNKTION_HEX_ASC_32
	rcall LCD_FORMAT					; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_AUSGABE_ZAHL_5_STELLEN_KURZ		; INP: TEMP1...5				  

; MASSEINHEIT Entfernung m/km	
	ldi temp1,'m'
	ldi temp2,' '
	LDS temp,(adr_GPS_ENTFERNUNG_in_km)	; aus SRAM laden
	tst temp
	breq ANZEIGE_HAUPTMENUE_EINHEIT_ENTFERNUNG3
	ldi temp1,'k'
	ldi temp2,'m'
ANZEIGE_HAUPTMENUE_EINHEIT_ENTFERNUNG3:
	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA


	rcall LCD_ZEILE4

	ldi temp, 'Y'				; Y
	rcall LCD_DATA	
	ldi temp, ':'				; X
	rcall LCD_DATA
	rcall LCD_SPACE

	rcall FUNKTION_TEMP1_9_CLEAR 				; OUT: TEMP1...9 (alle 0)				
	LDS temp1,(adr_Y_BREITE_DIFFERENZ_BYTE1)	; aus SRAM laden	
	LDS temp2,(adr_Y_BREITE_DIFFERENZ_BYTE2)	; aus SRAM laden	
	rcall FUNKTION_HEX_ASC_32
	rcall LCD_FORMAT					; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_AUSGABE_ZAHL_5_STELLEN_KURZ		; INP: TEMP1...5				  

; MASSEINHEIT Entfernung m/km	
	ldi temp1,'m'
	ldi temp2,' '
	LDS temp,(adr_GPS_ENTFERNUNG_in_km)	; aus SRAM laden
	tst temp
	breq ANZEIGE_HAUPTMENUE_EINHEIT_ENTFERNUNG4
	ldi temp1,'k'
	ldi temp2,'m'
ANZEIGE_HAUPTMENUE_EINHEIT_ENTFERNUNG4:
	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA


	rcall LCD_SPACE
	rcall LCD_SPACE

	rcall FUNKTION_TEMP1_9_CLEAR 				; OUT: TEMP1...9 (alle 0)				
	LDS temp1,(adr_GPS_ENTFERNUNG_BYTE_1)		; aus SRAM laden	
	LDS temp2,(adr_GPS_ENTFERNUNG_BYTE_2)		; aus SRAM laden	
	rcall FUNKTION_HEX_ASC_32					; INPUT: temp1...4 OUTPUT: Temp1...8			
	
			; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_FORMAT						; INPUT: TEMP1...TEMP9			 	
	rcall LCD_AUSGABE_ZAHL_6_STELLEN_KURZ	; INP: TEMP1...6				  

; MASSEINHEIT Entfernung m/km	
	ldi temp1,'m'
	ldi temp2,' '
	LDS temp,(adr_GPS_ENTFERNUNG_in_km)	; aus SRAM laden
	tst temp
	breq ANZEIGE_HAUPTMENUE_EINHEIT_ENTFERNUNG2
	ldi temp1,'k'
	ldi temp2,'m'
ANZEIGE_HAUPTMENUE_EINHEIT_ENTFERNUNG2:
	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA				  


ret


; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_GESCHWINDIGKEIT_KURZ:
	rcall FUNKTION_TEMP1_9_CLEAR 			; OUT: TEMP1...9 (alle 0)					
	LDS temp1,(adr_GPS_GESCHWINDIGKEIT_L)
	LDS temp2,(adr_GPS_GESCHWINDIGKEIT_H)
	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_FORMAT						; INPUT: TEMP1...TEMP9			 	
	rcall LCD_AUSGABE_ZAHL_3_STELLEN_KURZ	; INP: TEMP1...5				  
	; SONDERZEICHEN				
	;LDS temp1,(adr_GPS_GESCHWINDIGKEIT_L)
	;LDS temp2,(adr_GPS_GESCHWINDIGKEIT_H)
	;add temp1,temp2
	;tst temp1
	;brne ANZEIGE_GESCHWINDIGKEIT_KURZ_w
	;ldi temp, '_'							; "_"
	;rcall LCD_DATA
;	ret
;ANZEIGE_GESCHWINDIGKEIT_KURZ_w:
;	ldi temp, 4								; Sonderzeichen 4
;	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_UTC_ZEIT:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME
	ldi ZH, high(TEXT_UTC_ZEIT*2)	; TEXT "aktive Referenz"
	ldi ZL, low (TEXT_UTC_ZEIT*2)
	rcall ANZEIGE_TEXT	

	rcall LCD_ZEILE3

	; DATUM		
	LDS temp1,(adr_GPS_TAG)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
	rcall LCD_PUNKT
	LDS temp1,(adr_GPS_MONAT)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
	rcall LCD_PUNKT
	LDS temp1,(adr_GPS_JAHR)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1

	rcall LCD_SPACE	
	rcall LCD_SPACE	
	rcall LCD_SPACE	
	rcall LCD_SPACE	

	; ZEIT
	LDS temp1,(adr_GPS_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_GPS_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_GPS_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEXT_ON:
	
	ldi ZH, high(TEXT_ON*2)	; TEXT "aktive Referenz"
	ldi ZL, low (TEXT_ON*2)
	rcall ANZEIGE_TEXT
ret
ANZEIGE_TEXT_OFF:
	
	ldi ZH, high(TEXT_OFF*2)	; TEXT "aktive Referenz"
	ldi ZL, low (TEXT_OFF*2)
	rcall ANZEIGE_TEXT
ret
ANZEIGE_TEXT_ONOFF:
	
	ldi ZH, high(TEXT_ONOFF*2)	; TEXT "aktive Referenz"
	ldi ZL, low (TEXT_ONOFF*2)
	rcall ANZEIGE_TEXT
ret


ANZEIGE_ONLINE_OFFLINE:
	rcall LCD_GO_HOME
	;rcall LCD_CLEAR
	; ONLINE	
	
	rcall ANZEIGE_TEXT_ONOFF
	
	rcall LCD_ZEILE3
	
	rcall ANZEIGE_TEXT_ON
	rcall LCD_SPACE	
	rcall LCD_SPACE	

	LDS temp1,(adr_GPS_ONLINE_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_GPS_ONLINE_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_GPS_ONLINE_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1

	rcall LCD_ZEILE4

	rcall ANZEIGE_TEXT_OFF
	rcall LCD_SPACE	

	; OFFLINE	
	LDS temp1,(adr_GPS_OFFLINE_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_GPS_OFFLINE_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_GPS_OFFLINE_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC	; INP: TEMP1

ret


; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BETRIEBSSTUNDEN:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME
	ldi ZH, high(TEXT_BETRIEBSSTUNDEN*2)	; TEXT "aktive Referenz"
	ldi ZL, low (TEXT_BETRIEBSSTUNDEN*2)
	rcall ANZEIGE_TEXT	

	rcall LCD_ZEILE3

	; ZEIT
	LDS temp1,(adr_BETRIEBSSTUNDEN_hh)
	rcall ANZEIGE_3_STELLEN_HEX_ASC			; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_BETRIEBSSTUNDEN_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC			; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_BETRIEBSSTUNDEN_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC			; INP: TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BETRIEBSSTUNDEN_CLR:
	;rcall LCD_CLEAR
;	rcall LCD_GO_HOME
	ldi ZH, high(TEXT_BETRIEBSSTUNDEN_CLR*2)	; TEXT "aktive Referenz"
	ldi ZL, low (TEXT_BETRIEBSSTUNDEN_CLR*2)
	rcall ANZEIGE_TEXT	

	rcall LCD_ZEILE4

	; ZEIT
	LDS temp1,(adr_BETRIEBSSTUNDEN_hh)
	rcall ANZEIGE_3_STELLEN_HEX_ASC			; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_BETRIEBSSTUNDEN_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC			; INP: TEMP1
	rcall LCD_DOPPEL_PUNKT			; ":"
	LDS temp1,(adr_BETRIEBSSTUNDEN_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC			; INP: TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;																				
; INPUT: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
;																				
; rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
;																				
ANZEIGE_REFERENZ_NAME_KURZ:
	cpi temp, 'A'
	brne ANZEIGE_REFERENZ_NAME_KURZ_wB
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_A
ANZEIGE_REFERENZ_NAME_KURZ_wB:
	cpi temp, 'B'
	brne ANZEIGE_REFERENZ_NAME_KURZ_wC
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_B
ANZEIGE_REFERENZ_NAME_KURZ_wC:
	cpi temp, 'C'
	brne ANZEIGE_REFERENZ_NAME_KURZ_w1
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_C
ANZEIGE_REFERENZ_NAME_KURZ_w1:
	cpi temp, 1
	brne ANZEIGE_REFERENZ_NAME_KURZ_w2
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_01
ANZEIGE_REFERENZ_NAME_KURZ_w2:
	cpi temp, 2
	brne ANZEIGE_REFERENZ_NAME_KURZ_w3
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_02
ANZEIGE_REFERENZ_NAME_KURZ_w3:
	cpi temp, 3
	brne ANZEIGE_REFERENZ_NAME_KURZ_w4
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_03
ANZEIGE_REFERENZ_NAME_KURZ_w4:
	cpi temp, 4
	brne ANZEIGE_REFERENZ_NAME_KURZ_w5
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_04
ANZEIGE_REFERENZ_NAME_KURZ_w5:
	cpi temp, 5
	brne ANZEIGE_REFERENZ_NAME_KURZ_w6
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_05
ANZEIGE_REFERENZ_NAME_KURZ_w6:
	cpi temp, 6
	brne ANZEIGE_REFERENZ_NAME_KURZ_w7
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_06
ANZEIGE_REFERENZ_NAME_KURZ_w7:
	cpi temp, 7
	brne ANZEIGE_REFERENZ_NAME_KURZ_w8
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_07
ANZEIGE_REFERENZ_NAME_KURZ_w8:
	cpi temp, 8
	brne ANZEIGE_REFERENZ_NAME_KURZ_w9
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_08
ANZEIGE_REFERENZ_NAME_KURZ_w9:
	cpi temp, 9
	brne ANZEIGE_REFERENZ_NAME_KURZ_w10
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_09
ANZEIGE_REFERENZ_NAME_KURZ_w10:
	cpi temp, 10
	brne ANZEIGE_REFERENZ_NAME_KURZ_w11
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_10
ANZEIGE_REFERENZ_NAME_KURZ_w11:
	cpi temp, 11
	brne ANZEIGE_REFERENZ_NAME_KURZ_w12
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_11
ANZEIGE_REFERENZ_NAME_KURZ_w12:
	; ERROR	
	ldi ZH, high(TEXT_ERROR*2)			; ERROR
	ldi ZL, low (TEXT_ERROR*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG




ANZEIGE_REFERENZ_NAME_KURZ_A:
	ldi ZH, high(TEXT_REFERENZ_A*2)		; EEPROM REFERENZ	A	
	ldi ZL, low (TEXT_REFERENZ_A*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_B:
	ldi ZH, high(TEXT_REFERENZ_B*2)		; EEPROM REFERENZ	B	
	ldi ZL, low (TEXT_REFERENZ_B*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_C:
	ldi ZH, high(TEXT_REFERENZ_C*2)		; EEPROM REFERENZ	C	
	ldi ZL, low (TEXT_REFERENZ_C*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_01:
	ldi ZH, high(TEXT_REFERENZ_1*2)		; REFERENZ	1	
	ldi ZL, low (TEXT_REFERENZ_1*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_02:
	ldi ZH, high(TEXT_REFERENZ_2*2)		; REFERENZ	2	
	ldi ZL, low (TEXT_REFERENZ_2*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_03:
	ldi ZH, high(TEXT_REFERENZ_3*2)		; REFERENZ	3	
	ldi ZL, low (TEXT_REFERENZ_3*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_04:
	ldi ZH, high(TEXT_REFERENZ_4*2)		; REFERENZ	4	
	ldi ZL, low (TEXT_REFERENZ_4*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_05:
	ldi ZH, high(TEXT_REFERENZ_5*2)		; REFERENZ	5	
	ldi ZL, low (TEXT_REFERENZ_5*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_06:
	ldi ZH, high(TEXT_REFERENZ_6*2)		; REFERENZ	6	
	ldi ZL, low (TEXT_REFERENZ_6*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_07:
	ldi ZH, high(TEXT_REFERENZ_7*2)		; REFERENZ	7	
	ldi ZL, low (TEXT_REFERENZ_7*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_08:
	ldi ZH, high(TEXT_REFERENZ_8*2)		; REFERENZ	8	
	ldi ZL, low (TEXT_REFERENZ_8*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_09:
	ldi ZH, high(TEXT_REFERENZ_9*2)		; REFERENZ	9	
	ldi ZL, low (TEXT_REFERENZ_9*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_10:
	ldi ZH, high(TEXT_REFERENZ_10*2)	; REFERENZ	10	
	ldi ZL, low (TEXT_REFERENZ_10*2)
	rjmp ANZEIGE_REFERENZ_NAME_KURZ_FERTIG
ANZEIGE_REFERENZ_NAME_KURZ_11:
	ldi ZH, high(TEXT_REFERENZ_11*2)	; REFERENZ	11	
	ldi ZL, low (TEXT_REFERENZ_11*2)
ANZEIGE_REFERENZ_NAME_KURZ_FERTIG:
	rcall ANZEIGE_TEXT
ret


; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEXT_NEUE_REFERENZ:
	rcall LCD_CLEAR
	
	ldi ZH, high(TEXT_NEUE_REFERENZ*2)	; TEXT 
	ldi ZL, low (TEXT_NEUE_REFERENZ*2)
	rcall ANZEIGE_TEXT

	rcall LCD_ZEILE2

	mov temp, REFERENZ_NUMMER			; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;	"REFERENZ"		
;	"gespeichert"	
ANZEIGE_TEXT_GESPEICHERT:
	rcall LCD_CLEAR

	rcall ANZEIGE_TEXT_REFERENZ_KURZ

	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_GESPEICHERT*2)	; TEXT 
	ldi ZL, low (TEXT_GESPEICHERT*2)
	rcall ANZEIGE_TEXT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;	"REFERENZ"		
ANZEIGE_TEXT_REFERENZ_KURZ:
	ldi ZH, high(TEXT_REFERENZ*2)		; TEXT 
	ldi ZL, low (TEXT_REFERENZ*2)
	rcall ANZEIGE_TEXT
ret

ANZEIGE_Act:
	ldi ZH, high(TEXT_ACTUAL_POSITION*2)		; TEXT 
	ldi ZL, low (TEXT_ACTUAL_POSITION*2)
	rcall ANZEIGE_TEXT
ret


ANZEIGE_WP:
	ldi ZH, high(TEXT_WP_POSITION*2)		; TEXT 
	ldi ZL, low (TEXT_WP_POSITION*2)
	rcall ANZEIGE_TEXT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_GPS_POSITION_AKTUELL_DEZIMAL:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME
	rcall ANZEIGE_Act
	rcall LCD_ZEILE3
	rcall ANZEIGE_TEXT_LAT
	rcall LCD_SPACE
	
	LDS temp1, (adr_GPS_Y_BREITE_BYTE1)			; aus SRAM laden
	LDS temp2, (adr_GPS_Y_BREITE_BYTE2)			; aus SRAM laden
	LDS temp3, (adr_GPS_Y_BREITE_BYTE3)			; aus SRAM laden
	LDS temp4, (adr_GPS_Y_BREITE_BYTE4)			; aus SRAM laden
    rcall FUNKTION_HEX_ASC_32					; INPUT: temp1...4 OUTPUT: Temp1...8
	rcall LCD_FORMAT_KOORDINATE2			
	rcall LCD_AUSGABE_ZAHL_8_STELLEN_KURZ2		; INP: TEMP1...8

	rcall LCD_ZEILE4
	rcall ANZEIGE_TEXT_LON
	rcall LCD_SPACE
	
	LDS temp1, (adr_GPS_X_LAENGE_BYTE1)			; aus SRAM laden
	LDS temp2, (adr_GPS_X_LAENGE_BYTE2)			; aus SRAM laden
	LDS temp3, (adr_GPS_X_LAENGE_BYTE3)			; aus SRAM laden
	LDS temp4, (adr_GPS_X_LAENGE_BYTE4)			; aus SRAM laden
    rcall FUNKTION_HEX_ASC_32					; INPUT: temp1...4 OUTPUT: Temp1...8
	rcall LCD_FORMAT_KOORDINATE		
	rcall LCD_AUSGABE_ZAHL_8_STELLEN_KURZ		; INP: TEMP1...8
	

ret


; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_REFERENZ_GELADEN_INFO_KOORDINATEN:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME
	rcall ANZEIGE_WP
	rcall LCD_ZEILE3
	rcall ANZEIGE_TEXT_LAT
	rcall LCD_SPACE
	
	LDS temp1,(adr_GPS_REFERENZ_Y_BREITE_BYTE1)
	LDS temp2,(adr_GPS_REFERENZ_Y_BREITE_BYTE2)
	LDS temp3,(adr_GPS_REFERENZ_Y_BREITE_BYTE3)
	LDS temp4,(adr_GPS_REFERENZ_Y_BREITE_BYTE4)
    rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8
	rcall LCD_FORMAT_KOORDINATE2			
	rcall LCD_AUSGABE_ZAHL_8_STELLEN_KURZ2	; INP: TEMP1...8
	
	rcall LCD_ZEILE4
	rcall ANZEIGE_TEXT_LON
	rcall LCD_SPACE

	LDS temp1,(adr_GPS_REFERENZ_X_LAENGE_BYTE1)
	LDS temp2,(adr_GPS_REFERENZ_X_LAENGE_BYTE2)
	LDS temp3,(adr_GPS_REFERENZ_X_LAENGE_BYTE3)
	LDS temp4,(adr_GPS_REFERENZ_X_LAENGE_BYTE4)
    rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8
	rcall LCD_FORMAT_KOORDINATE			
	rcall LCD_AUSGABE_ZAHL_8_STELLEN_KURZ	; INP: TEMP1...8

	
	
	
	
	rcall LCD_SPACE

	LDS temp1,(adr_GPS_REFERENZ_HOEHE_L)
	LDS temp2,(adr_GPS_REFERENZ_HOEHE_H)
	clr temp3
	clr temp4
    rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_AUSGABE_ZAHL_3_STELLEN_KURZ
	ldi temp, 'm'							; m				
	rcall LCD_DATA
ret



; ##############################################################################
; ##############################################################################
; ##############################################################################
;ANZEIGE_GPS_STRING_16_KURZ:
;	ldi temp1,16

;ANZEIGE_GPS_STRING_16_KURZ_w:
;	LD temp,X+
;	rcall LCD_DATA
;	dec temp1
;	brne ANZEIGE_GPS_STRING_16_KURZ_w
;	ret
;ret


; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SATELLITEN:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME
	ldi ZH, high(TEXT_SATELLITEN*2)	; TEXT 
	ldi ZL, low (TEXT_SATELLITEN*2)
	rcall ANZEIGE_TEXT

	rcall LCD_ZEILE3
	
; BALKEN-ANZAHL Satelliten	(gesamt)
	ldi temp, 2				; Sonderzeichen 2
	rcall LCD_DATA
; BALKEN ANZAHL Satelliten	
	ldi temp, 3				; Sonderzeichen 3
	rcall LCD_DATA
; BALKEN PEGEL				
	ldi temp, 6				; Sonderzeichen 6
	rcall LCD_DATA
	
	rcall LCD_SPACE

	rcall FUNKTION_TEMP1_9_CLEAR 			; OUT: TEMP1...9 (alle 0)				
	LDS temp1, (adr_GPS_ANZ_SAT_GESAMT)		; aus SRAM laden
	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_FORMAT						; INPUT: TEMP1...TEMP9			 	
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ

	rcall LCD_SPACE
	ldi temp, '/'
	rcall LCD_DATA
	rcall LCD_SPACE

	rcall FUNKTION_TEMP1_9_CLEAR 			; OUT: TEMP1...9 (alle 0)				
	LDS temp1, (adr_GPS_ANZ_SAT_EMPFANGEN)	; aus SRAM laden
	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_FORMAT						; INPUT: TEMP1...TEMP9			 	
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	rcall LCD_SPACE

	rcall FUNKTION_TEMP1_9_CLEAR 			; OUT: TEMP1...9 (alle 0)				
	LDS temp1,(adr_GPS_PEGEL_SUMME_L)
	LDS temp2,(adr_GPS_PEGEL_SUMME_H)
	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_FORMAT						; INPUT: TEMP1...TEMP9			 	
	rcall LCD_AUSGABE_ZAHL_5_STELLEN_KURZ	; INP: TEMP1...5				  
	ldi temp, '%'
	rcall LCD_DATA

ret




;######################################################################## 
;########################################################################
;########################################################################
;
; TEXTANZEIGEN
;
; 
ANZEIGE_TEXT_BEGRUESSUNG:
	rcall LCD_CLEAR
	
	ldi ZH, high(TEXT_START1*2)	; TEXT 
	ldi ZL,  low(TEXT_START1*2)
	rcall ANZEIGE_TEXT
	
	rcall LCD_ZEILE2

	rcall wait_100ms
	ldi ZH, high(TEXT_START2*2)	; TEXT 
	ldi ZL,  low(TEXT_START2*2)
	rcall ANZEIGE_TEXT

	rcall LCD_ZEILE3
	
	rcall wait_100ms
	ldi ZH, high(TEXT_START3*2)	; TEXT 
	ldi ZL,  low(TEXT_START3*2)
	rcall ANZEIGE_TEXT

	rcall wait_100ms

	rcall LCD_ZEILE4

			
	ldi ZH, high(TEXT_START4*2)	; TEXT 
	ldi ZL,  low(TEXT_START4*2)
	rcall ANZEIGE_TEXT

	;rcall LCD_ZEILE4

	
	rcall wait_1s

ret

REFERENZ_NAME:

	mov temp, REFERENZ_NUMMER			; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)

ret

ANZEIGE_ALT:
	ldi ZH, high(TEXT_HOEHE*2)		; TEXT 
	ldi ZL, low (TEXT_HOEHE*2)
	rcall ANZEIGE_TEXT
ret

; ##############################################################################
; ##############################################################################
; ##############################################################################
;ANZEIGE_HILFE_PLUS_TASTE:
;	rcall LCD_CLEAR
;	ldi ZH, high(TEXT_TASTE_PLUS*2)	; TEXT 
;	ldi ZL, low (TEXT_TASTE_PLUS*2)
;	rcall ANZEIGE_TEXT

;ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_REFERENZ_POSITIONEN_LADEN:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME
	ldi ZH, high(TEXT_REF_POSITIONEN*2)	; TEXT 
	ldi ZL, low (TEXT_REF_POSITIONEN*2)
	rcall ANZEIGE_TEXT

	rcall LCD_ZEILE3
		
	ldi ZH, high(TEXT_LADEN*2)	; TEXT 
	ldi ZL, low (TEXT_LADEN*2)
	rcall ANZEIGE_TEXT

	;rcall LCD_3_PUNKT			; ...

ret


ANZEIGE_LOAD_WP:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME

	ldi ZH, high(TEXT_LOAD_WP*2)	; TEXT 
	ldi ZL, low (TEXT_LOAD_WP*2)
	rcall ANZEIGE_TEXT

ret

ANZEIGE_SAVE_WP:
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME

	ldi ZH, high(TEXT_SAVE_WP*2)	; TEXT 
	ldi ZL, low (TEXT_SAVE_WP*2)
	rcall ANZEIGE_TEXT

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "aktuell"																		
ANZEIGE_TEXT_LON:
	ldi ZH, high(TEXT_LON*2)	; TEXT 
	ldi ZL, low (TEXT_LON*2)
	rcall ANZEIGE_TEXT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "dezimal"																		
ANZEIGE_TEXT_LAT:
	ldi ZH, high(TEXT_LAT*2)	; TEXT 
	ldi ZL, low (TEXT_LAT*2)
	rcall ANZEIGE_TEXT
ret

; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEXT_DIST:
	
;rcall LCD_GO_HOME
	ldi ZH, high(TEXT_DIST*2)	; TEXT 
	ldi ZL, low (TEXT_DIST*2)
	rcall ANZEIGE_TEXT
ret

ANZEIGE_TEXT_UNIT:
	
;rcall LCD_GO_HOME
	ldi ZH, high(TEXT_UNIT*2)	; TEXT 
	ldi ZL, low (TEXT_UNIT*2)
	rcall ANZEIGE_TEXT
ret
