;######################################################################## 
;######################################################################## 
;######################################################################## 
; MENSTEUERUNG
;######################################################################## 
														
STEUERUNG_MENUE_EBENE_0:
	tst MENUE_1
	breq STEUERUNG_MENUE_EBENE_0_START
	ret
STEUERUNG_MENUE_EBENE_0_START:
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_MINUS ; OUT: FLAGS
	brne STEUERUNG_MENUE_EBENE_0_TASTE
	rcall LCD_CLEAR
	dec MENUE_0							; -1 
STEUERUNG_MENUE_EBENE_0_TASTE:
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_PLUS ; OUT: FLAGS
	brne STEUERUNG_MENUE_EBENE_0_TASTE_w
	mov temp, MENUE_0
	cpi temp, 10
	breq STEUERUNG_MENUE_EBENE_0_TASTE_w
	inc MENUE_0							; +1 
STEUERUNG_MENUE_EBENE_0_TASTE_w:
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_EBENE_0_0
	; Fehlerprfung 
	mov temp, MENUE_0
	cpi temp,5		
	breq STEUERUNG_MENUE_EBENE_0_TASTE_ww
	cpi temp,6		
	breq STEUERUNG_MENUE_EBENE_0_TASTE_ww
	cpi temp,10		
	breq STEUERUNG_MENUE_EBENE_0_TASTE_ww
	rjmp STEUERUNG_MENUE_EBENE_0_TASTE_www
STEUERUNG_MENUE_EBENE_0_TASTE_ww:
	inc MENUE_1							; +1 
STEUERUNG_MENUE_EBENE_0_TASTE_www:
	ret

;######################################################################## 
;######################################################################## 
;######################################################################## 
;-----------------------------------------------------------------------------
; MAINMENU
STEUERUNG_MENUE_EBENE_0_0:
	mov temp, MENUE_0
	cpi temp,0							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_2		; ist ungleich => SPRUNG
	rcall ANZEIGE_HAUPTMENUE							
	ret

; CURRENT POSITION
STEUERUNG_MENUE_EBENE_0_2:
	cpi temp,1							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_3  	; ist ungleich => SPRUNG
	rcall ANZEIGE_GPS_POSITION_AKTUELL_DEZIMAL							
	ret

; WAYPOINT POSITION
STEUERUNG_MENUE_EBENE_0_3:
	cpi temp,2							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_4		; ist ungleich => SPRUNG
	rcall ANZEIGE_REFERENZ_GELADEN_INFO_KOORDINATEN		
	ret

; X/Y DIFFERENCE
STEUERUNG_MENUE_EBENE_0_4:
	cpi temp,3							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_5		; ist ungleich => SPRUNG
	rcall ANZEIGE_X_Y_DIFFERENZ						
	ret

; UTC TIME
STEUERUNG_MENUE_EBENE_0_5:
	cpi temp,4							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_6		; ist ungleich => SPRUNG
	rcall ANZEIGE_UTC_ZEIT							
	ret

;---------------------------------------------------------------------------------------------------------------------
; LOAD WAYPOINT
STEUERUNG_MENUE_EBENE_0_6:
	cpi temp,5							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_7		; ist ungleich => SPRUNG
	rcall ANZEIGE_REFERENZ_POSITIONEN_LADEN				; HAUPTMEN - POSITIONEN LADEN		
	ret

; SAVE WAYPOINT
STEUERUNG_MENUE_EBENE_0_7:
	cpi temp,6							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_8		; ist ungleich => SPRUNG
	rcall ANZEIGE_REFERENZ_POSITIONEN_SPEICHERN			; HAUPTMEN - POSITIONEN SPEICHERN	
	ret

; SATELLITES
STEUERUNG_MENUE_EBENE_0_8:
	cpi temp,7							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_9		; ist ungleich => SPRUNG
	rcall ANZEIGE_SATELLITEN								
	ret

; ONLINE OFFLINE
STEUERUNG_MENUE_EBENE_0_9:
	cpi temp,8							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_10		; ist ungleich => SPRUNG
	rcall ANZEIGE_ONLINE_OFFLINE						; ANZEIGE_ONLINE_OFFLINE
	ret

; ANZEIGE_BETRIEBSSTUNDEN
STEUERUNG_MENUE_EBENE_0_10:
	cpi temp,9							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_11		; ist ungleich => SPRUNG
	rcall ANZEIGE_BETRIEBSSTUNDEN						; ANZEIGE_BETRIEBSSTUNDEN
	ret


; OPTIONS
STEUERUNG_MENUE_EBENE_0_11:
	cpi temp,10							; vergleich				
	brne STEUERUNG_MENUE_EBENE_0_19		; ist ungleich => SPRUNG
	rcall ANZEIGE_TEXT_EDIT								; HAUPTMEN - EDIT					
	ret
;-----------------------------------------------------------------------------------------------------------------------


STEUERUNG_MENUE_EBENE_0_19:
;	clr TASTE				; (TASTE-1) ESC				
;	clr MENUE_0
;	clr MENUE_1
;	rcall LCD_CLEAR
ret

;######################################################################## 
;######################################################################## 
;######################################################################## 
; ANZEIGE OPTIONS MEN													
STEUERUNG_MENUE_EDIT:
	mov temp,MENUE_0			
	cpi temp, 10							; MENUE_0=8   ?
	breq STEUERUNG_MENUE_EDIT_START
	ret
STEUERUNG_MENUE_EDIT_START:
	tst MENUE_1							; MENUE_1<>=0 ?
	brne STEUERUNG_MENUE_EDIT_START_w
	ret
STEUERUNG_MENUE_EDIT_START_w:
; ------------------------------------------------------
	; LCD CLEAR
	;rcall LCD_CLEAR
	rcall LCD_GO_HOME
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_MINUS ; OUT: FLAGS
	brne STEUERUNG_MENUE_EDIT_w
	dec MENUE_1							; -1 
STEUERUNG_MENUE_EDIT_w:
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_PLUS ; OUT: FLAGS
	brne STEUERUNG_MENUE_EDIT_ww
	inc MENUE_1							; +1 
STEUERUNG_MENUE_EDIT_ww:
	; FEHLERPRFUNG
	tst MENUE_1							; =0 ?
	brne STEUERUNG_MENUE_EDIT_www		; nein ==SPRUNG	
	inc MENUE_1							; +1 
STEUERUNG_MENUE_EDIT_www:
	mov temp, MENUE_1
; ------------------------------------------------------
	;cpi temp,1
	;brne STEUERUNG_MENUE_EDIT_2
	;rcall ANZEIGE_HILFE_PLUS_TASTE		; TASTE + bettigen
	;ret
; ------------------------------------------------------
; HHE	TEXT_HOEHE_OFFSET_NULL
STEUERUNG_MENUE_EDIT_2:
	;rcall LCD_GO_HOME
	cpi temp,1
	brne STEUERUNG_MENUE_EDIT_3
	rcall ANZEIGE_TEXT_EDIT
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_HOEHE_OFFSET_NULL*2)	; TEXT 	
	ldi ZL, low (TEXT_HOEHE_OFFSET_NULL*2)
	rcall ANZEIGE_TEXT
	rcall LCD_ZEILE4
	rcall ANZEIGE_HOEHE_BERECHNET_KURZ		; HHE	
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_EDIT_5w_DUMMY
	; AKTION	
	clr temp
	STS(adr_GPS_HOEHE_OFFSET_L),temp
	STS(adr_GPS_HOEHE_OFFSET_H),temp
	rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN ; SPEICHERN
	ret
; ----------------------------------------------------
; HHE	TEXT_HOEHE_OFFSET_GPS
STEUERUNG_MENUE_EDIT_3:
	cpi temp,2
	brne STEUERUNG_MENUE_EDIT_4
	rcall ANZEIGE_TEXT_EDIT
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_HOEHE_OFFSET_GPS*2)	; TEXT 	
	ldi ZL, low (TEXT_HOEHE_OFFSET_GPS*2)
	rcall ANZEIGE_TEXT
	rcall LCD_ZEILE4
	rcall ANZEIGE_HOEHE_BERECHNET_KURZ		; HHE	
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_EDIT_5w_DUMMY
	; AKTION	
	LDS temp1,(adr_GPS_HOEHE_L)
	LDS temp2,(adr_GPS_HOEHE_H)
	STS(adr_GPS_HOEHE_OFFSET_L),temp1
	STS(adr_GPS_HOEHE_OFFSET_H),temp2
	rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN ; SPEICHERN
	ret
; ----------------------------------------------------
; HHE	TEXT_HOEHE_OFFSET_REFERENZ
STEUERUNG_MENUE_EDIT_4:
	cpi temp,3
	brne STEUERUNG_MENUE_EDIT_11
	rcall ANZEIGE_TEXT_EDIT
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_HOEHE_OFFSET_REF*2)	; TEXT 	
	ldi ZL, low (TEXT_HOEHE_OFFSET_REF*2)
	rcall ANZEIGE_TEXT
	rcall LCD_ZEILE4
	rcall ANZEIGE_HOEHE_BERECHNET_KURZ		; HHE	
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_EDIT_5w_DUMMY
	; AKTION	
	LDS temp1,(adr_GPS_REFERENZ_HOEHE_L)
	LDS temp2,(adr_GPS_REFERENZ_HOEHE_H)
	STS(adr_GPS_HOEHE_OFFSET_L),temp1
	STS(adr_GPS_HOEHE_OFFSET_H),temp2
	rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN ; SPEICHERN
	ret
; ------------------------------------------------------

STEUERUNG_MENUE_EDIT_5w_DUMMY:
ret

; ----------------------------------------------------
; LCD-LICHT aus	
STEUERUNG_MENUE_EDIT_11:
	cpi temp,4
	brne STEUERUNG_MENUE_EDIT_10
	rcall ANZEIGE_TEXT_EDIT
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_LED_LCD_OFF*2)	; TEXT 
	ldi ZL, low (TEXT_LED_LCD_OFF*2)
	rcall ANZEIGE_TEXT
	rcall LCD_SPACE
	rcall LCD_SPACE

	LDS temp, (adr_BACKLIGHT)
	cpi temp,1
	brne weiter_lcd_aus

	ldi temp1,'O'
	ldi temp2,'N'
	ldi temp3,' '

	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA
	mov temp, temp3
	rcall LCD_DATA

	sbi DDRC, LED_C_LCD
	
	rjmp weiter_lcd_2

weiter_lcd_aus:
	
	ldi temp1,'O'
	ldi temp2,'F'
	ldi temp3,'F'

	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA
	mov temp, temp3
	rcall LCD_DATA

	cbi DDRC, LED_C_LCD
	
weiter_lcd_2:

	
	
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_EDIT_5w_DUMMY
	; AKTION	
	;cbi DDRC, LED_C_LCD							; LCD-LICHT aus	
	;rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN ; SPEICHERN
	
	LDS  temp,(adr_BACKLIGHT) ; aus SRAM laden		
	andi temp,0b00000001
	com temp
	andi temp,0b00000001
	STS (adr_BACKLIGHT),temp ; in SRAM speichern	
	rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN ; SPEICHERN
	


ret

;STEUERUNG_MENUE_EDIT_5a:
;	cpi temp,5
;	brne STEUERUNG_MENUE_EDIT_10
;	rcall ANZEIGE_TEXT_EDIT
;	rcall LCD_ZEILE3
;	ldi ZH, high(TEXT_LED_LCD_ON*2)	; TEXT 
;	ldi ZL, low (TEXT_LED_LCD_ON*2)
;	rcall ANZEIGE_TEXT
	; TASTATUR	
;	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
;	brne STEUERUNG_MENUE_EDIT_5w_DUMMY
	; AKTION	
;	sbi DDRC, LED_C_LCD							; LCD-LICHT aus	
;	rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN ; SPEICHERN
;	ret


; ----------------------------------------------------
; UNIT								  
STEUERUNG_MENUE_EDIT_10:
	cpi temp,5
	brne STEUERUNG_MENUE_EDIT_12
	rcall ANZEIGE_TEXT_EDIT
	rcall LCD_ZEILE3
	rcall ANZEIGE_TEXT_UNIT
	rcall LCD_SPACE
	rcall LCD_SPACE
	LDS temp, (adr_UNIT)
	
	cpi temp,0
	brne weiter11

	ldi temp1,'k'
	ldi temp2,'m'

	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA
	
	rjmp weiter2

weiter11:
	
	ldi temp1,'n'
	ldi temp2,'m'

	mov temp, temp1
	rcall LCD_DATA
	mov temp, temp2
	rcall LCD_DATA
	
weiter2:
	

	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_EDIT_DUMMY
	; AKTION	
	LDS  temp,(adr_UNIT) ; aus SRAM laden		
	andi temp,0b00000001
	com temp
	andi temp,0b00000001
	STS (adr_UNIT),temp ; in SRAM speichern	
	rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN ; SPEICHERN
	ret
; ----------------------------------------------------
; MCUCSR											  
;STEUERUNG_MENUE_EDIT_5:
;	cpi temp,6
;	brne STEUERUNG_MENUE_EDIT_6
;	rcall ANZEIGE_TEXT_EDIT
;	rcall LCD_ZEILE3
;	rcall ANZEIGE_MCUCSR
	; TASTATUR	
;	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
;	brne STEUERUNG_MENUE_EDIT_DUMMY
	; AKTION	
;	clr temp
;	out MCUCSR,temp
;	ret
; ----------------------------------------------------
; BETRIEBSSTUNDEN-clear								  
STEUERUNG_MENUE_EDIT_12:
	cpi temp,6
	brne STEUERUNG_MENUE_EDIT_13
	rcall ANZEIGE_TEXT_EDIT
	rcall LCD_ZEILE3
	rcall ANZEIGE_BETRIEBSSTUNDEN_CLR
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER 		;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_EDIT_DUMMY
	; AKTION	
	rcall ANZEIGE_WAIT
	clr temp
	STS(adr_BETRIEBSSTUNDEN_hh),temp		; in SRAM speichern
	STS(adr_BETRIEBSSTUNDEN_mm),temp		; in SRAM speichern
	STS(adr_BETRIEBSSTUNDEN_ss),temp		; in SRAM speichern
	rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN ; SPEICHERN
	ret
; ----------------------------------------------------
; RESET												  
STEUERUNG_MENUE_EDIT_13:
	cpi temp,7
	brne STEUERUNG_MENUE_EDIT_7
	rcall ANZEIGE_TEXT_EDIT
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_RESET*2)			; TEXT 
	ldi ZL, low (TEXT_RESET*2)
	rcall ANZEIGE_TEXT
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_EDIT_DUMMY
	; AKTION	
	rcall ANZEIGE_WAIT



STEUERUNG_MENUE_EDIT_14wR:
	rjmp STEUERUNG_MENUE_EDIT_14wR		; SCHLEIFE	
	ret
; ----------------------------------------------------
STEUERUNG_MENUE_EDIT_7:
;	rcall ANZEIGE_LEER_MENUE			; !!!!! LEER !!!!!!
	
	clr TASTE				; (TASTE-1) ESC				
	clr MENUE_0
	clr MENUE_1
	rcall LCD_CLEAR

STEUERUNG_MENUE_EDIT_DUMMY:

ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
; MENUE POSITIONEN LADEN												
STEUERUNG_MENUE_POSITIONEN_LADEN:
	mov temp,MENUE_0
	cpi temp, 5
	breq STEUERUNG_MENUE_POSITIONEN_LADEN_START
	ret
STEUERUNG_MENUE_POSITIONEN_LADEN_START:
	tst MENUE_1
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_START_w
	ret
STEUERUNG_MENUE_POSITIONEN_LADEN_START_w:
	; LCD CLEAR
;	rcall LCD_CLEAR
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_MINUS 	; OUT: FLAGS
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_w
	dec MENUE_1							; -1 
STEUERUNG_MENUE_POSITIONEN_LADEN_w:
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_PLUS	; OUT: FLAGS
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_ww
	inc MENUE_1							; +1 
STEUERUNG_MENUE_POSITIONEN_LADEN_ww:
	; FEHLERPRFUNG
	tst MENUE_1							; =0 ?
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_www	; nein ==SPRUNG	
	inc MENUE_1							; +1 
;---------------------------------------------------------------
; HILFETEXT														
STEUERUNG_MENUE_POSITIONEN_LADEN_www:
	mov temp,MENUE_1
	; MENUE			
;	cpi temp,1
;	brne STEUERUNG_MENUE_POSITIONEN_LADEN_2
;	rcall ANZEIGE_HILFE_PLUS_TASTE		; TASTE + bettigen
;	ret
;------------------------------------------------------------
; REFERENZ A (aus EEPROM)									 
STEUERUNG_MENUE_POSITIONEN_LADEN_2:
	cpi temp,1
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_3
	
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	
	; TEXT anzeigen		
	ldi temp, 'A'
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY
	; REFERENZ laden	
	ldi TEMP, 'A'
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN	
	ret
;------------------------------------------------------------
; REFERENZ B (aus EEPROM)									 
STEUERUNG_MENUE_POSITIONEN_LADEN_3:
	cpi temp,2
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_4
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 'B'
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY
	; REFERENZ laden	
	ldi TEMP, 'B'
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN		
	ret
;------------------------------------------------------------
; REFERENZ C (aus EEPROM)									 
STEUERUNG_MENUE_POSITIONEN_LADEN_4:
	cpi temp,3
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 'C'
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY
	; REFERENZ laden	
	ldi TEMP, 'C'
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN		
	ret
;------------------------------------------------------------
; REFERENZ 1 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_5:
	cpi temp,4
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_6
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 1
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY
	; REFERENZ laden	
	ldi TEMP, 1
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
;-----------------------------------------------------------
STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY:
	ret
;------------------------------------------------------------
; REFERENZ 2 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_6:
	cpi temp,5
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_7
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 2
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY
	; REFERENZ laden	
	ldi TEMP, 2
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN	
	ret
;------------------------------------------------------------
; REFERENZ 3 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_7:
	cpi temp,6
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_8
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 3
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY
	; REFERENZ laden	
	ldi TEMP, 3
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
; REFERENZ 4 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_8:
	cpi temp,7
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_9
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 4
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY
	; REFERENZ laden	
	ldi TEMP, 4
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
; REFERENZ 5 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_9:
	cpi temp,8
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_10
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 5
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_5w_DUMMY
	; REFERENZ laden	
	ldi TEMP, 5
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
; REFERENZ 6 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_10:
	cpi temp,9
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_11
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 6
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_DUMMY
	; REFERENZ laden	
	ldi TEMP, 6
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
; REFERENZ 7 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_11:
	cpi temp,10
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_12
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 7
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_DUMMY
	; REFERENZ laden	
	ldi TEMP, 7
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
; REFERENZ 8 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_12:
	cpi temp,11
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_13
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 8
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_DUMMY
	; REFERENZ laden	
	ldi TEMP, 8
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
; REFERENZ 9 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_13:
	cpi temp,12
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_14
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 9
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_DUMMY
	; REFERENZ laden	
	ldi TEMP, 9
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
; REFERENZ 10 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_14:
	cpi temp,13
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_15
	rcall ANZEIGE_LOAD_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 10
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_DUMMY
	; REFERENZ laden	
	ldi TEMP, 10
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
; REFERENZ 11 (FEST-REFERENZ)								 
STEUERUNG_MENUE_POSITIONEN_LADEN_15:
	cpi temp,14
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_16
;	rcall ANZEIGE_LOAD_WP
;	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 11
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_LADEN_DUMMY
	; REFERENZ laden	
	ldi TEMP, 11
	mov REFERENZ_NUMMER,temp	; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_LADEN
	ret
;------------------------------------------------------------
STEUERUNG_MENUE_POSITIONEN_LADEN_16:	
;	rcall ANZEIGE_LEER_MENUE			; !!!!! LEER !!!!!! 

STEUERUNG_MENUE_POSITIONEN_LADEN_DUMMY:
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
; MENUE POSITION speichern												
STEUERUNG_MENUE_POSITIONEN_SPEICHERN:
	mov temp,MENUE_0
	cpi temp, 6
	breq STEUERUNG_MENUE_POSITIONEN_SPEICHERN_START
	ret
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_START:
	tst MENUE_1
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_START_w
	ret
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_START_w:
	; LCD CLEAR
	rcall LCD_CLEAR
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_MINUS ; OUT: FLAGS
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_w
	dec MENUE_1							; -1 
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_w:
	; TASTATUR	
	rcall ABFRAGE_TASTATUR_TASTE_PLUS ; OUT: FLAGS
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_ww
	inc MENUE_1							; +1 
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_ww:
	; FEHLERPRFUNG
	tst MENUE_1							; =0 ?
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_www	; nein ==SPRUNG	
	inc MENUE_1							; +1 
;---------------------------------------------------------------
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_www:
	mov temp,MENUE_1
;---------------------------------------------------------------
; HILFETEXT														
	; MENUE			
;	cpi temp,1
;	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_2
;	rcall ANZEIGE_HILFE_PLUS_TASTE		; TASTE + bettigen
;	ret
;------------------------------------------------------------
; REFERENZ A (IN EEPROM speichern)							 
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_2:
	cpi temp,1
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_3
	rcall ANZEIGE_SAVE_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 'A'
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_2w
	; REFERENZ SPEICHERN	
	ldi TEMP, 'A'							; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_IN_EEPROM_SPEICHERN 	; INP: TEMP ;A(EEPROM),B(EEPROM),C(EEPROM)
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_2w:	
	ret
;------------------------------------------------------------
; REFERENZ B (IN EEPROM speichern)							 
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_3:
	cpi temp,2
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_4
	rcall ANZEIGE_SAVE_WP
	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 'B'
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_3w
	; REFERENZ SPEICHERN	
	ldi TEMP, 'B'						; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_IN_EEPROM_SPEICHERN 	; INP: TEMP ;A(EEPROM),B(EEPROM),C(EEPROM)	
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_3w:	
	ret
;------------------------------------------------------------
; REFERENZ C (IN EEPROM speichern)							 
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_4:
	cpi temp,3
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_5
	rcall ANZEIGE_SAVE_WP
;	rcall LCD_ZEILE3
	; TEXT anzeigen		
	ldi temp, 'C'
	rcall ANZEIGE_REFERENZ_NAME_KURZ	; INP: TEMP (REFERENZ_NUMMER=> A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...)
	; TASTATUR abfragen	
	rcall ABFRAGE_TASTATUR_TASTE_ENTER ;OUT: FLAGS (bei ENTER-TASTE=>TASTE=0)	
	brne STEUERUNG_MENUE_POSITIONEN_SPEICHERN_4w
	; REFERENZ SPEICHERN	
	ldi TEMP, 'C'						; A(EEPROM),B(EEPROM),C(EEPROM),1,2,3,4,5,6,7,8,9,10...
	rcall GPS_REFERENZ_IN_EEPROM_SPEICHERN 	; INP: TEMP ;A(EEPROM),B(EEPROM),C(EEPROM)	
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_4w:	
	ret
;------------------------------------------------------------
STEUERUNG_MENUE_POSITIONEN_SPEICHERN_5:
;	rcall ANZEIGE_LEER_MENUE			; !!!!! LEER !!!!!! 

ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
;PROGRAMMSTARTS_ZAEHLEN:
;	LDS ZL,(adr_ANZ_PROGRAMMSTARTS_L)	; aus SRAM laden	
;	LDS ZH,(adr_ANZ_PROGRAMMSTARTS_H)
;	adiw ZL,1
;	STS (adr_ANZ_PROGRAMMSTARTS_L),ZL	; in SRAM speichern 
;	STS (adr_ANZ_PROGRAMMSTARTS_H),ZH

;	rcall SYSTEM_EINSTELLUNGEN_EEPROM_SPEICHERN
;ret
